using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ObserverPattern_CascadeEvent
{
    public partial class Form1 : Form
    {
        private Konto konto = new Konto("Min konto");
        public Form1()
        {
            InitializeComponent();
        }

        private void btnIndst_Click(object sender, EventArgs e)
        {
            konto.Indst(double.Parse(txtBelb.Text));
        }

        private void btnHv_Click(object sender, EventArgs e)
        {
            konto.Hv(double.Parse(txtBelb.Text));
        }

        private void BeskedModtager(string besked, double b, Konto k)
        {
            tbxBesked.AppendText("Besked modtaget: "+besked+" "+k.ToString()+"\r\n");
        }

        private void btnTilmeldndretBesked_Click(object sender, EventArgs e)
        {
            konto.SaldondretEvent += this.BeskedModtager;
        }

        private void btnAfmeldndretBesked_Click(object sender, EventArgs e)
        {
            konto.SaldondretEvent -= this.BeskedModtager;
        }

        private void btnNyObserver_Click(object sender, EventArgs e)
        {
            Form2 f = new Form2(this.konto);
            f.Show();
        }

        private void btnTilmeldIndsatBesked_Click(object sender, EventArgs e)
        {
            konto.IndsatEvent += this.BeskedModtager;
        }

        private void btnAfmeldIndsatBesked_Click(object sender, EventArgs e)
        {
            konto.IndsatEvent -= this.BeskedModtager;
        }

        private void btnTilmeldHvetBesked_Click(object sender, EventArgs e)
        {
            konto.HvetEvent += this.BeskedModtager;
        }

        private void btnAfmeldHvetBesked_Click(object sender, EventArgs e)
        {
            konto.HvetEvent -= this.BeskedModtager;
        }

    }
}