using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ObserverPattern_CascadeEvent
{
    public partial class Form2 : Form
    {
        public Konto konto;
        public Form2(Konto konto)
        {
            InitializeComponent();
            this.konto = konto;
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            konto.SaldondretEvent += this.BeskedModtager;      // tilmeld metode til event
        }

        private void Form2_FormClosing(object sender, FormClosingEventArgs e)
        {
            konto.SaldondretEvent -= this.BeskedModtager;      // afmeld metode til event
        }

        private void BeskedModtager(string besked, double b, Konto k)
        {
            tbxBesked.AppendText("Besked modtaget\n" + besked + " " + k.ToString() + "\n");
        }

    }
}